Bug 1808952 - Instance creation for container security operator hit 404 error
Summary: Instance creation for container security operator hit 404 error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-02 05:36 UTC by shahan
Modified: 2020-06-10 20:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-10 20:26:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description shahan 2020-03-02 05:36:13 UTC
Description of problem:
Instance creation for container security operator hit 404 error

Version-Release number of selected component (if applicable):
4.4.0-0.nightly-2020-03-01-175612

How reproducible:
Always

Steps to Reproduce:
1. Goto operatorhub and install container security operator
2. After installation, try to create 
Image Manifest Vulnerability instance on console
3.

Actual results:
2.  The Instance creation will redirect url "k8s/ns/default/clusterserviceversions/container-security-operator.v1.0.1/secscan.quay.redhat.com~v1alpha1~ImageManifestVuln/~new" that would get 404 error

Expected results:
It might no need the creation button for Image Manifest Vulnerability

Additional info:

Comment 1 bpeterse 2020-05-28 13:13:23 UTC
Moving this to 4.6.  
It seems the ideal path is to disable the create form as users are not intended to create an instance of this CR.  We don't have that kind of functionality at this point, however. 
There is a 4.6 story for at least tagging resources owned by operators.  That seems a start in the right direction, though I don't think it addresses this issue, either.

Comment 3 Cyril 2020-06-03 16:51:56 UTC
Based on my discussion with Alec and Jon, we agreed that the Container security- Image Manifest Vul operator should be marked 'internal' in the CSV to fix this bug. I'm reassigning this bug to OLM team for consideration.

Comment 4 Jon Jackson 2020-06-03 17:11:56 UTC
Jira story referenced in Comment 1:

https://issues.redhat.com/browse/CONSOLE-2163

Comment 5 Jon Jackson 2020-06-03 17:14:23 UTC
I also created a Jira story (https://issues.redhat.com/browse/CONSOLE-2292) to improve the interaction on the console operator details page.

Comment 7 Cyril 2020-06-04 14:40:44 UTC
@Nick  - Based on my conversations with Alec and Jon, we found out to fix this bug is to add "operators.operatorframework.io/internal-objects: '["imagemanifestvulns.secscan.quay.redhat.com"]'" to Container Security - Image Manifest Vul operator in the CSV. To learn more about the issue and proposed fix, please see this PR - https://github.com/openshift/console/pull/4702

Please let me know if there is any further questions.


Note You need to log in before you can comment on or make changes to this bug.